Foxit PDF SDK

Instance Methods | List of all members
FSStructElement Class Reference
Inheritance diagram for FSStructElement:

## Instance Methods
(FSStructTreeEntity *) | - getChild:
| Get a child structure tree entity by index. More...
(int) | - getChildCount
| Get the count of child structure tree entities in the current structure element. More...
(NSString *) | - getElementInfo:
| Get the structure element information. More...
(FSStructElement *) | - getParentElement
| Get the parent structure element. More...
(NSString *) | - getStructureTypeName
| Get structure type name. More...
(BOOL) | - hasElementInfo:
| Check whether the structure element information of a specific type exist. More...
(id) | - init
| Constructor.
(id) | - initWithOther:
| Constructor, with another structure element object. More...
(void) | - removeChild:
| Remove a child structure tree entity by index. More...
Instance Methods inherited from FSStructTreeEntity
(FSPDFPage *) | - getPage
| Get the related PDF page. More...
(FSStructTreeEntityStructTreeEntityType) | - getType
| Get structure tree entity type. More...
(id) | - initWithOther:
| Constructor, with another structure element entity object. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...

## Detailed Description

This class represents structure element.

## Method Documentation

## ◆ getChild:()

- (FSStructTreeEntity *) getChild: |  | (int) | index |

Get a child structure tree entity by index.

Parameters

  [in] | index | Index of a child structure tree entity to be retrieved. Valid range: from 0 to (count-1). count is returned by function FSStructElement::getChildCount.

Returns
  A child structure tree entity object.

## ◆ getChildCount()

- (int) getChildCount |  |  |

Get the count of child structure tree entities in the current structure element.

Returns
  The count of child structure tree entities.

## ◆ getElementInfo:()

- (NSString *) getElementInfo: |  | (FSStructElementElementInfoType) | type |

Get the structure element information.

Before get structure element information, ensure that the function FSStructElement::hasElementInfo: has been called and returned true (using the corresponding type).

Parameters

  [in] | type | Structure element information type. Please refer to values starting from FSStructElementElementInfoTypeTitle and this would be one of these values.

Returns
  Structure element information string.

## ◆ getParentElement()

- (FSStructElement *) getParentElement |  |  |

Get the parent structure element.

Returns
  Parent structure element. If function StructElement::IsEmpty for the returned object returns YES, that means current element does not have a parent element.

## ◆ getStructureTypeName()

- (NSString *) getStructureTypeName |  |  |

Get structure type name.

Every structure element shall have a structure type, a name object that identifies the nature of the structure element and its role within the document (such as a chapter, paragraph, or footnote). Please refer to the description of "Standard Structure Types" in Section 10.7.3 of <PDF Reference 1.7> or the description of "Standard structure types" in Section 14.8.4 of <PDF Reference 2.0> for more details.

Returns
  A string that represents structure type name of current structure element.

## ◆ hasElementInfo:()

- (BOOL) hasElementInfo: |  | (FSStructElementElementInfoType) | type |

Check whether the structure element information of a specific type exist.

Parameters

  [in] | type | Structure element information type. Please refer to values starting from FSStructElementElementInfoTypeTitle and this would be one of these values.

Returns
  YES means the element information type has element information, while NO means the element information type does not have element information.

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSStructElement*) | other |

Constructor, with another structure element object.

Parameters

  [in] | other | Another structure element object.

## ◆ removeChild:()

- (void) removeChild: |  | (int) | index |

Remove a child structure tree entity by index.

Parameters

  [in] | index | Index of a child structure tree entity to be retrieved. Valid range: from 0 to (count-1). count is returned by function FSStructElement::getChildCount.

Returns
  None.